#include "dict.h"
#include <iostream.h>
#include <string.h>
#include "trace.h"

void
prompt () {
	cout << "? ";
}

extern dict *getdict();

int
main (int argc, char **argv) {
	const int bufsiz = 1024;
	char buf[bufsiz];
	dict *mydict = getdict();

	prompt();
	while (cin.getline(buf, bufsiz)) {
		char *wordendp = strchr(buf, ' ');
		if (wordendp != (char *)NULL) {
			*wordendp = '\0';  // evil, I know, but easy
			wordendp++;

			trace("Inserting "); trace(wordendp); 
			trace(" with key "); trace(buf);
			trace(endl);

			mydict->ins(buf, wordendp) || (cout << "Couldn't" << endl);
		} else {
			cout << (*mydict)[buf] << endl;
		}
		prompt();
	}
}
